#ifndef _H_4FC6D29A3AF68C4F161862E751E9326B_SendGcodeCmd_DCPS_H_
#define _H_4FC6D29A3AF68C4F161862E751E9326B_SendGcodeCmd_DCPS_H_

#include "sacpp_mapping.h"
#include "dds_dcps.h"
#include "SendGcodeCmd_.h"


namespace grbl_msgs
{
    namespace action
    {
        namespace dds_
        {
            class SendGcodeCmd_Goal_TypeSupportInterface;

            typedef SendGcodeCmd_Goal_TypeSupportInterface * SendGcodeCmd_Goal_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_Goal_TypeSupportInterface> SendGcodeCmd_Goal_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_Goal_TypeSupportInterface> SendGcodeCmd_Goal_TypeSupportInterface_out;


            class SendGcodeCmd_Goal_DataWriter;

            typedef SendGcodeCmd_Goal_DataWriter * SendGcodeCmd_Goal_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_Goal_DataWriter> SendGcodeCmd_Goal_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_Goal_DataWriter> SendGcodeCmd_Goal_DataWriter_out;


            class SendGcodeCmd_Goal_DataReader;

            typedef SendGcodeCmd_Goal_DataReader * SendGcodeCmd_Goal_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_Goal_DataReader> SendGcodeCmd_Goal_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_Goal_DataReader> SendGcodeCmd_Goal_DataReader_out;


            class SendGcodeCmd_Goal_DataReaderView;

            typedef SendGcodeCmd_Goal_DataReaderView * SendGcodeCmd_Goal_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_Goal_DataReaderView> SendGcodeCmd_Goal_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_Goal_DataReaderView> SendGcodeCmd_Goal_DataReaderView_out;

            struct SendGcodeCmd_Goal_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < SendGcodeCmd_Goal_, struct SendGcodeCmd_Goal_Seq_uniq_> SendGcodeCmd_Goal_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeCmd_Goal_Seq> SendGcodeCmd_Goal_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeCmd_Goal_Seq> SendGcodeCmd_Goal_Seq_out;

            class  SendGcodeCmd_Goal_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeCmd_Goal_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeCmd_Goal_TypeSupportInterface_var _var_type;

                static SendGcodeCmd_Goal_TypeSupportInterface_ptr _duplicate (SendGcodeCmd_Goal_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_Goal_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Goal_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Goal_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_Goal_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeCmd_Goal_TypeSupportInterface () {};
                ~SendGcodeCmd_Goal_TypeSupportInterface () {};
            private:
                SendGcodeCmd_Goal_TypeSupportInterface (const SendGcodeCmd_Goal_TypeSupportInterface &);
                SendGcodeCmd_Goal_TypeSupportInterface & operator = (const SendGcodeCmd_Goal_TypeSupportInterface &);
            };

            class  SendGcodeCmd_Goal_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeCmd_Goal_DataWriter_ptr _ptr_type;
                typedef SendGcodeCmd_Goal_DataWriter_var _var_type;

                static SendGcodeCmd_Goal_DataWriter_ptr _duplicate (SendGcodeCmd_Goal_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_Goal_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Goal_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Goal_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_Goal_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeCmd_Goal_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeCmd_Goal_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeCmd_Goal_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeCmd_Goal_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeCmd_Goal_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeCmd_Goal_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeCmd_Goal_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeCmd_Goal_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeCmd_Goal_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeCmd_Goal_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_Goal_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_Goal_& instance_data) = 0;

            protected:
                SendGcodeCmd_Goal_DataWriter () {};
                ~SendGcodeCmd_Goal_DataWriter () {};
            private:
                SendGcodeCmd_Goal_DataWriter (const SendGcodeCmd_Goal_DataWriter &);
                SendGcodeCmd_Goal_DataWriter & operator = (const SendGcodeCmd_Goal_DataWriter &);
            };

            class  SendGcodeCmd_Goal_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeCmd_Goal_DataReader_ptr _ptr_type;
                typedef SendGcodeCmd_Goal_DataReader_var _var_type;

                static SendGcodeCmd_Goal_DataReader_ptr _duplicate (SendGcodeCmd_Goal_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_Goal_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Goal_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Goal_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_Goal_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_Goal_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_Goal_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_Goal_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_Goal_& instance) = 0;

            protected:
                SendGcodeCmd_Goal_DataReader () {};
                ~SendGcodeCmd_Goal_DataReader () {};
            private:
                SendGcodeCmd_Goal_DataReader (const SendGcodeCmd_Goal_DataReader &);
                SendGcodeCmd_Goal_DataReader & operator = (const SendGcodeCmd_Goal_DataReader &);
            };

            class  SendGcodeCmd_Goal_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeCmd_Goal_DataReaderView_ptr _ptr_type;
                typedef SendGcodeCmd_Goal_DataReaderView_var _var_type;

                static SendGcodeCmd_Goal_DataReaderView_ptr _duplicate (SendGcodeCmd_Goal_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_Goal_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Goal_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Goal_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_Goal_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_Goal_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_Goal_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_Goal_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_Goal_& instance) = 0;

            protected:
                SendGcodeCmd_Goal_DataReaderView () {};
                ~SendGcodeCmd_Goal_DataReaderView () {};
            private:
                SendGcodeCmd_Goal_DataReaderView (const SendGcodeCmd_Goal_DataReaderView &);
                SendGcodeCmd_Goal_DataReaderView & operator = (const SendGcodeCmd_Goal_DataReaderView &);
            };
            class SendGcodeCmd_SendGoal_Request_TypeSupportInterface;

            typedef SendGcodeCmd_SendGoal_Request_TypeSupportInterface * SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_SendGoal_Request_TypeSupportInterface> SendGcodeCmd_SendGoal_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_SendGoal_Request_TypeSupportInterface> SendGcodeCmd_SendGoal_Request_TypeSupportInterface_out;


            class SendGcodeCmd_SendGoal_Request_DataWriter;

            typedef SendGcodeCmd_SendGoal_Request_DataWriter * SendGcodeCmd_SendGoal_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_SendGoal_Request_DataWriter> SendGcodeCmd_SendGoal_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_SendGoal_Request_DataWriter> SendGcodeCmd_SendGoal_Request_DataWriter_out;


            class SendGcodeCmd_SendGoal_Request_DataReader;

            typedef SendGcodeCmd_SendGoal_Request_DataReader * SendGcodeCmd_SendGoal_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_SendGoal_Request_DataReader> SendGcodeCmd_SendGoal_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_SendGoal_Request_DataReader> SendGcodeCmd_SendGoal_Request_DataReader_out;


            class SendGcodeCmd_SendGoal_Request_DataReaderView;

            typedef SendGcodeCmd_SendGoal_Request_DataReaderView * SendGcodeCmd_SendGoal_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_SendGoal_Request_DataReaderView> SendGcodeCmd_SendGoal_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_SendGoal_Request_DataReaderView> SendGcodeCmd_SendGoal_Request_DataReaderView_out;

            struct SendGcodeCmd_SendGoal_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < SendGcodeCmd_SendGoal_Request_, struct SendGcodeCmd_SendGoal_Request_Seq_uniq_> SendGcodeCmd_SendGoal_Request_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeCmd_SendGoal_Request_Seq> SendGcodeCmd_SendGoal_Request_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeCmd_SendGoal_Request_Seq> SendGcodeCmd_SendGoal_Request_Seq_out;

            class  SendGcodeCmd_SendGoal_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeCmd_SendGoal_Request_TypeSupportInterface_var _var_type;

                static SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr _duplicate (SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeCmd_SendGoal_Request_TypeSupportInterface () {};
                ~SendGcodeCmd_SendGoal_Request_TypeSupportInterface () {};
            private:
                SendGcodeCmd_SendGoal_Request_TypeSupportInterface (const SendGcodeCmd_SendGoal_Request_TypeSupportInterface &);
                SendGcodeCmd_SendGoal_Request_TypeSupportInterface & operator = (const SendGcodeCmd_SendGoal_Request_TypeSupportInterface &);
            };

            class  SendGcodeCmd_SendGoal_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeCmd_SendGoal_Request_DataWriter_ptr _ptr_type;
                typedef SendGcodeCmd_SendGoal_Request_DataWriter_var _var_type;

                static SendGcodeCmd_SendGoal_Request_DataWriter_ptr _duplicate (SendGcodeCmd_SendGoal_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_SendGoal_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_SendGoal_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeCmd_SendGoal_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeCmd_SendGoal_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_SendGoal_Request_& instance_data) = 0;

            protected:
                SendGcodeCmd_SendGoal_Request_DataWriter () {};
                ~SendGcodeCmd_SendGoal_Request_DataWriter () {};
            private:
                SendGcodeCmd_SendGoal_Request_DataWriter (const SendGcodeCmd_SendGoal_Request_DataWriter &);
                SendGcodeCmd_SendGoal_Request_DataWriter & operator = (const SendGcodeCmd_SendGoal_Request_DataWriter &);
            };

            class  SendGcodeCmd_SendGoal_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeCmd_SendGoal_Request_DataReader_ptr _ptr_type;
                typedef SendGcodeCmd_SendGoal_Request_DataReader_var _var_type;

                static SendGcodeCmd_SendGoal_Request_DataReader_ptr _duplicate (SendGcodeCmd_SendGoal_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_SendGoal_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_SendGoal_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_SendGoal_Request_& instance) = 0;

            protected:
                SendGcodeCmd_SendGoal_Request_DataReader () {};
                ~SendGcodeCmd_SendGoal_Request_DataReader () {};
            private:
                SendGcodeCmd_SendGoal_Request_DataReader (const SendGcodeCmd_SendGoal_Request_DataReader &);
                SendGcodeCmd_SendGoal_Request_DataReader & operator = (const SendGcodeCmd_SendGoal_Request_DataReader &);
            };

            class  SendGcodeCmd_SendGoal_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeCmd_SendGoal_Request_DataReaderView_ptr _ptr_type;
                typedef SendGcodeCmd_SendGoal_Request_DataReaderView_var _var_type;

                static SendGcodeCmd_SendGoal_Request_DataReaderView_ptr _duplicate (SendGcodeCmd_SendGoal_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_SendGoal_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_SendGoal_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_SendGoal_Request_& instance) = 0;

            protected:
                SendGcodeCmd_SendGoal_Request_DataReaderView () {};
                ~SendGcodeCmd_SendGoal_Request_DataReaderView () {};
            private:
                SendGcodeCmd_SendGoal_Request_DataReaderView (const SendGcodeCmd_SendGoal_Request_DataReaderView &);
                SendGcodeCmd_SendGoal_Request_DataReaderView & operator = (const SendGcodeCmd_SendGoal_Request_DataReaderView &);
            };
            class SendGcodeCmd_SendGoal_Response_TypeSupportInterface;

            typedef SendGcodeCmd_SendGoal_Response_TypeSupportInterface * SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_SendGoal_Response_TypeSupportInterface> SendGcodeCmd_SendGoal_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_SendGoal_Response_TypeSupportInterface> SendGcodeCmd_SendGoal_Response_TypeSupportInterface_out;


            class SendGcodeCmd_SendGoal_Response_DataWriter;

            typedef SendGcodeCmd_SendGoal_Response_DataWriter * SendGcodeCmd_SendGoal_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_SendGoal_Response_DataWriter> SendGcodeCmd_SendGoal_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_SendGoal_Response_DataWriter> SendGcodeCmd_SendGoal_Response_DataWriter_out;


            class SendGcodeCmd_SendGoal_Response_DataReader;

            typedef SendGcodeCmd_SendGoal_Response_DataReader * SendGcodeCmd_SendGoal_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_SendGoal_Response_DataReader> SendGcodeCmd_SendGoal_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_SendGoal_Response_DataReader> SendGcodeCmd_SendGoal_Response_DataReader_out;


            class SendGcodeCmd_SendGoal_Response_DataReaderView;

            typedef SendGcodeCmd_SendGoal_Response_DataReaderView * SendGcodeCmd_SendGoal_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_SendGoal_Response_DataReaderView> SendGcodeCmd_SendGoal_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_SendGoal_Response_DataReaderView> SendGcodeCmd_SendGoal_Response_DataReaderView_out;

            struct SendGcodeCmd_SendGoal_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < SendGcodeCmd_SendGoal_Response_, struct SendGcodeCmd_SendGoal_Response_Seq_uniq_> SendGcodeCmd_SendGoal_Response_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeCmd_SendGoal_Response_Seq> SendGcodeCmd_SendGoal_Response_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeCmd_SendGoal_Response_Seq> SendGcodeCmd_SendGoal_Response_Seq_out;

            class  SendGcodeCmd_SendGoal_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeCmd_SendGoal_Response_TypeSupportInterface_var _var_type;

                static SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr _duplicate (SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeCmd_SendGoal_Response_TypeSupportInterface () {};
                ~SendGcodeCmd_SendGoal_Response_TypeSupportInterface () {};
            private:
                SendGcodeCmd_SendGoal_Response_TypeSupportInterface (const SendGcodeCmd_SendGoal_Response_TypeSupportInterface &);
                SendGcodeCmd_SendGoal_Response_TypeSupportInterface & operator = (const SendGcodeCmd_SendGoal_Response_TypeSupportInterface &);
            };

            class  SendGcodeCmd_SendGoal_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeCmd_SendGoal_Response_DataWriter_ptr _ptr_type;
                typedef SendGcodeCmd_SendGoal_Response_DataWriter_var _var_type;

                static SendGcodeCmd_SendGoal_Response_DataWriter_ptr _duplicate (SendGcodeCmd_SendGoal_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_SendGoal_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_SendGoal_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeCmd_SendGoal_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeCmd_SendGoal_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_SendGoal_Response_& instance_data) = 0;

            protected:
                SendGcodeCmd_SendGoal_Response_DataWriter () {};
                ~SendGcodeCmd_SendGoal_Response_DataWriter () {};
            private:
                SendGcodeCmd_SendGoal_Response_DataWriter (const SendGcodeCmd_SendGoal_Response_DataWriter &);
                SendGcodeCmd_SendGoal_Response_DataWriter & operator = (const SendGcodeCmd_SendGoal_Response_DataWriter &);
            };

            class  SendGcodeCmd_SendGoal_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeCmd_SendGoal_Response_DataReader_ptr _ptr_type;
                typedef SendGcodeCmd_SendGoal_Response_DataReader_var _var_type;

                static SendGcodeCmd_SendGoal_Response_DataReader_ptr _duplicate (SendGcodeCmd_SendGoal_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_SendGoal_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_SendGoal_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_SendGoal_Response_& instance) = 0;

            protected:
                SendGcodeCmd_SendGoal_Response_DataReader () {};
                ~SendGcodeCmd_SendGoal_Response_DataReader () {};
            private:
                SendGcodeCmd_SendGoal_Response_DataReader (const SendGcodeCmd_SendGoal_Response_DataReader &);
                SendGcodeCmd_SendGoal_Response_DataReader & operator = (const SendGcodeCmd_SendGoal_Response_DataReader &);
            };

            class  SendGcodeCmd_SendGoal_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeCmd_SendGoal_Response_DataReaderView_ptr _ptr_type;
                typedef SendGcodeCmd_SendGoal_Response_DataReaderView_var _var_type;

                static SendGcodeCmd_SendGoal_Response_DataReaderView_ptr _duplicate (SendGcodeCmd_SendGoal_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_SendGoal_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_SendGoal_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_SendGoal_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_SendGoal_Response_& instance) = 0;

            protected:
                SendGcodeCmd_SendGoal_Response_DataReaderView () {};
                ~SendGcodeCmd_SendGoal_Response_DataReaderView () {};
            private:
                SendGcodeCmd_SendGoal_Response_DataReaderView (const SendGcodeCmd_SendGoal_Response_DataReaderView &);
                SendGcodeCmd_SendGoal_Response_DataReaderView & operator = (const SendGcodeCmd_SendGoal_Response_DataReaderView &);
            };
            class Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface;

            typedef Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface * Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface> Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface> Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface_out;


            class Sample_SendGcodeCmd_SendGoal_Request_DataWriter;

            typedef Sample_SendGcodeCmd_SendGoal_Request_DataWriter * Sample_SendGcodeCmd_SendGoal_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_SendGoal_Request_DataWriter> Sample_SendGcodeCmd_SendGoal_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_SendGoal_Request_DataWriter> Sample_SendGcodeCmd_SendGoal_Request_DataWriter_out;


            class Sample_SendGcodeCmd_SendGoal_Request_DataReader;

            typedef Sample_SendGcodeCmd_SendGoal_Request_DataReader * Sample_SendGcodeCmd_SendGoal_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_SendGoal_Request_DataReader> Sample_SendGcodeCmd_SendGoal_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_SendGoal_Request_DataReader> Sample_SendGcodeCmd_SendGoal_Request_DataReader_out;


            class Sample_SendGcodeCmd_SendGoal_Request_DataReaderView;

            typedef Sample_SendGcodeCmd_SendGoal_Request_DataReaderView * Sample_SendGcodeCmd_SendGoal_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_SendGoal_Request_DataReaderView> Sample_SendGcodeCmd_SendGoal_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_SendGoal_Request_DataReaderView> Sample_SendGcodeCmd_SendGoal_Request_DataReaderView_out;

            struct Sample_SendGcodeCmd_SendGoal_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Sample_SendGcodeCmd_SendGoal_Request_, struct Sample_SendGcodeCmd_SendGoal_Request_Seq_uniq_> Sample_SendGcodeCmd_SendGoal_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_SendGcodeCmd_SendGoal_Request_Seq> Sample_SendGcodeCmd_SendGoal_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_SendGcodeCmd_SendGoal_Request_Seq> Sample_SendGcodeCmd_SendGoal_Request_Seq_out;

            class  Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface_var _var_type;

                static Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr _duplicate (Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface () {};
                ~Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface () {};
            private:
                Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface (const Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface &);
                Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface & operator = (const Sample_SendGcodeCmd_SendGoal_Request_TypeSupportInterface &);
            };

            class  Sample_SendGcodeCmd_SendGoal_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_SendGcodeCmd_SendGoal_Request_DataWriter_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_SendGoal_Request_DataWriter_var _var_type;

                static Sample_SendGcodeCmd_SendGoal_Request_DataWriter_ptr _duplicate (Sample_SendGcodeCmd_SendGoal_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_SendGoal_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_SendGoal_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_SendGcodeCmd_SendGoal_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_SendGcodeCmd_SendGoal_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_SendGcodeCmd_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeCmd_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeCmd_SendGoal_Request_& instance_data) = 0;

            protected:
                Sample_SendGcodeCmd_SendGoal_Request_DataWriter () {};
                ~Sample_SendGcodeCmd_SendGoal_Request_DataWriter () {};
            private:
                Sample_SendGcodeCmd_SendGoal_Request_DataWriter (const Sample_SendGcodeCmd_SendGoal_Request_DataWriter &);
                Sample_SendGcodeCmd_SendGoal_Request_DataWriter & operator = (const Sample_SendGcodeCmd_SendGoal_Request_DataWriter &);
            };

            class  Sample_SendGcodeCmd_SendGoal_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_SendGcodeCmd_SendGoal_Request_DataReader_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_SendGoal_Request_DataReader_var _var_type;

                static Sample_SendGcodeCmd_SendGoal_Request_DataReader_ptr _duplicate (Sample_SendGcodeCmd_SendGoal_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_SendGoal_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_SendGoal_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeCmd_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeCmd_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeCmd_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeCmd_SendGoal_Request_& instance) = 0;

            protected:
                Sample_SendGcodeCmd_SendGoal_Request_DataReader () {};
                ~Sample_SendGcodeCmd_SendGoal_Request_DataReader () {};
            private:
                Sample_SendGcodeCmd_SendGoal_Request_DataReader (const Sample_SendGcodeCmd_SendGoal_Request_DataReader &);
                Sample_SendGcodeCmd_SendGoal_Request_DataReader & operator = (const Sample_SendGcodeCmd_SendGoal_Request_DataReader &);
            };

            class  Sample_SendGcodeCmd_SendGoal_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_SendGcodeCmd_SendGoal_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_SendGoal_Request_DataReaderView_var _var_type;

                static Sample_SendGcodeCmd_SendGoal_Request_DataReaderView_ptr _duplicate (Sample_SendGcodeCmd_SendGoal_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_SendGoal_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_SendGoal_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeCmd_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeCmd_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeCmd_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeCmd_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeCmd_SendGoal_Request_& instance) = 0;

            protected:
                Sample_SendGcodeCmd_SendGoal_Request_DataReaderView () {};
                ~Sample_SendGcodeCmd_SendGoal_Request_DataReaderView () {};
            private:
                Sample_SendGcodeCmd_SendGoal_Request_DataReaderView (const Sample_SendGcodeCmd_SendGoal_Request_DataReaderView &);
                Sample_SendGcodeCmd_SendGoal_Request_DataReaderView & operator = (const Sample_SendGcodeCmd_SendGoal_Request_DataReaderView &);
            };
            class Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface;

            typedef Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface * Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface> Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface> Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface_out;


            class Sample_SendGcodeCmd_SendGoal_Response_DataWriter;

            typedef Sample_SendGcodeCmd_SendGoal_Response_DataWriter * Sample_SendGcodeCmd_SendGoal_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_SendGoal_Response_DataWriter> Sample_SendGcodeCmd_SendGoal_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_SendGoal_Response_DataWriter> Sample_SendGcodeCmd_SendGoal_Response_DataWriter_out;


            class Sample_SendGcodeCmd_SendGoal_Response_DataReader;

            typedef Sample_SendGcodeCmd_SendGoal_Response_DataReader * Sample_SendGcodeCmd_SendGoal_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_SendGoal_Response_DataReader> Sample_SendGcodeCmd_SendGoal_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_SendGoal_Response_DataReader> Sample_SendGcodeCmd_SendGoal_Response_DataReader_out;


            class Sample_SendGcodeCmd_SendGoal_Response_DataReaderView;

            typedef Sample_SendGcodeCmd_SendGoal_Response_DataReaderView * Sample_SendGcodeCmd_SendGoal_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_SendGoal_Response_DataReaderView> Sample_SendGcodeCmd_SendGoal_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_SendGoal_Response_DataReaderView> Sample_SendGcodeCmd_SendGoal_Response_DataReaderView_out;

            struct Sample_SendGcodeCmd_SendGoal_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_SendGcodeCmd_SendGoal_Response_, struct Sample_SendGcodeCmd_SendGoal_Response_Seq_uniq_> Sample_SendGcodeCmd_SendGoal_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_SendGcodeCmd_SendGoal_Response_Seq> Sample_SendGcodeCmd_SendGoal_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_SendGcodeCmd_SendGoal_Response_Seq> Sample_SendGcodeCmd_SendGoal_Response_Seq_out;

            class  Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface_var _var_type;

                static Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr _duplicate (Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface () {};
                ~Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface () {};
            private:
                Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface (const Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface &);
                Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface & operator = (const Sample_SendGcodeCmd_SendGoal_Response_TypeSupportInterface &);
            };

            class  Sample_SendGcodeCmd_SendGoal_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_SendGcodeCmd_SendGoal_Response_DataWriter_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_SendGoal_Response_DataWriter_var _var_type;

                static Sample_SendGcodeCmd_SendGoal_Response_DataWriter_ptr _duplicate (Sample_SendGcodeCmd_SendGoal_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_SendGoal_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_SendGoal_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_SendGcodeCmd_SendGoal_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_SendGcodeCmd_SendGoal_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_SendGcodeCmd_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeCmd_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeCmd_SendGoal_Response_& instance_data) = 0;

            protected:
                Sample_SendGcodeCmd_SendGoal_Response_DataWriter () {};
                ~Sample_SendGcodeCmd_SendGoal_Response_DataWriter () {};
            private:
                Sample_SendGcodeCmd_SendGoal_Response_DataWriter (const Sample_SendGcodeCmd_SendGoal_Response_DataWriter &);
                Sample_SendGcodeCmd_SendGoal_Response_DataWriter & operator = (const Sample_SendGcodeCmd_SendGoal_Response_DataWriter &);
            };

            class  Sample_SendGcodeCmd_SendGoal_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_SendGcodeCmd_SendGoal_Response_DataReader_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_SendGoal_Response_DataReader_var _var_type;

                static Sample_SendGcodeCmd_SendGoal_Response_DataReader_ptr _duplicate (Sample_SendGcodeCmd_SendGoal_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_SendGoal_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_SendGoal_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeCmd_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeCmd_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeCmd_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeCmd_SendGoal_Response_& instance) = 0;

            protected:
                Sample_SendGcodeCmd_SendGoal_Response_DataReader () {};
                ~Sample_SendGcodeCmd_SendGoal_Response_DataReader () {};
            private:
                Sample_SendGcodeCmd_SendGoal_Response_DataReader (const Sample_SendGcodeCmd_SendGoal_Response_DataReader &);
                Sample_SendGcodeCmd_SendGoal_Response_DataReader & operator = (const Sample_SendGcodeCmd_SendGoal_Response_DataReader &);
            };

            class  Sample_SendGcodeCmd_SendGoal_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_SendGcodeCmd_SendGoal_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_SendGoal_Response_DataReaderView_var _var_type;

                static Sample_SendGcodeCmd_SendGoal_Response_DataReaderView_ptr _duplicate (Sample_SendGcodeCmd_SendGoal_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_SendGoal_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_SendGoal_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_SendGoal_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeCmd_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeCmd_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeCmd_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeCmd_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeCmd_SendGoal_Response_& instance) = 0;

            protected:
                Sample_SendGcodeCmd_SendGoal_Response_DataReaderView () {};
                ~Sample_SendGcodeCmd_SendGoal_Response_DataReaderView () {};
            private:
                Sample_SendGcodeCmd_SendGoal_Response_DataReaderView (const Sample_SendGcodeCmd_SendGoal_Response_DataReaderView &);
                Sample_SendGcodeCmd_SendGoal_Response_DataReaderView & operator = (const Sample_SendGcodeCmd_SendGoal_Response_DataReaderView &);
            };
            class SendGcodeCmd_Result_TypeSupportInterface;

            typedef SendGcodeCmd_Result_TypeSupportInterface * SendGcodeCmd_Result_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_Result_TypeSupportInterface> SendGcodeCmd_Result_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_Result_TypeSupportInterface> SendGcodeCmd_Result_TypeSupportInterface_out;


            class SendGcodeCmd_Result_DataWriter;

            typedef SendGcodeCmd_Result_DataWriter * SendGcodeCmd_Result_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_Result_DataWriter> SendGcodeCmd_Result_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_Result_DataWriter> SendGcodeCmd_Result_DataWriter_out;


            class SendGcodeCmd_Result_DataReader;

            typedef SendGcodeCmd_Result_DataReader * SendGcodeCmd_Result_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_Result_DataReader> SendGcodeCmd_Result_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_Result_DataReader> SendGcodeCmd_Result_DataReader_out;


            class SendGcodeCmd_Result_DataReaderView;

            typedef SendGcodeCmd_Result_DataReaderView * SendGcodeCmd_Result_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_Result_DataReaderView> SendGcodeCmd_Result_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_Result_DataReaderView> SendGcodeCmd_Result_DataReaderView_out;

            struct SendGcodeCmd_Result_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < SendGcodeCmd_Result_, struct SendGcodeCmd_Result_Seq_uniq_> SendGcodeCmd_Result_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeCmd_Result_Seq> SendGcodeCmd_Result_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeCmd_Result_Seq> SendGcodeCmd_Result_Seq_out;

            class  SendGcodeCmd_Result_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeCmd_Result_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeCmd_Result_TypeSupportInterface_var _var_type;

                static SendGcodeCmd_Result_TypeSupportInterface_ptr _duplicate (SendGcodeCmd_Result_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_Result_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Result_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Result_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_Result_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeCmd_Result_TypeSupportInterface () {};
                ~SendGcodeCmd_Result_TypeSupportInterface () {};
            private:
                SendGcodeCmd_Result_TypeSupportInterface (const SendGcodeCmd_Result_TypeSupportInterface &);
                SendGcodeCmd_Result_TypeSupportInterface & operator = (const SendGcodeCmd_Result_TypeSupportInterface &);
            };

            class  SendGcodeCmd_Result_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeCmd_Result_DataWriter_ptr _ptr_type;
                typedef SendGcodeCmd_Result_DataWriter_var _var_type;

                static SendGcodeCmd_Result_DataWriter_ptr _duplicate (SendGcodeCmd_Result_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_Result_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Result_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Result_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_Result_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeCmd_Result_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeCmd_Result_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeCmd_Result_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeCmd_Result_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeCmd_Result_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeCmd_Result_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeCmd_Result_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeCmd_Result_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeCmd_Result_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeCmd_Result_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_Result_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_Result_& instance_data) = 0;

            protected:
                SendGcodeCmd_Result_DataWriter () {};
                ~SendGcodeCmd_Result_DataWriter () {};
            private:
                SendGcodeCmd_Result_DataWriter (const SendGcodeCmd_Result_DataWriter &);
                SendGcodeCmd_Result_DataWriter & operator = (const SendGcodeCmd_Result_DataWriter &);
            };

            class  SendGcodeCmd_Result_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeCmd_Result_DataReader_ptr _ptr_type;
                typedef SendGcodeCmd_Result_DataReader_var _var_type;

                static SendGcodeCmd_Result_DataReader_ptr _duplicate (SendGcodeCmd_Result_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_Result_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Result_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Result_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_Result_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_Result_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_Result_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_Result_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_Result_& instance) = 0;

            protected:
                SendGcodeCmd_Result_DataReader () {};
                ~SendGcodeCmd_Result_DataReader () {};
            private:
                SendGcodeCmd_Result_DataReader (const SendGcodeCmd_Result_DataReader &);
                SendGcodeCmd_Result_DataReader & operator = (const SendGcodeCmd_Result_DataReader &);
            };

            class  SendGcodeCmd_Result_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeCmd_Result_DataReaderView_ptr _ptr_type;
                typedef SendGcodeCmd_Result_DataReaderView_var _var_type;

                static SendGcodeCmd_Result_DataReaderView_ptr _duplicate (SendGcodeCmd_Result_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_Result_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Result_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Result_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_Result_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_Result_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_Result_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_Result_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_Result_& instance) = 0;

            protected:
                SendGcodeCmd_Result_DataReaderView () {};
                ~SendGcodeCmd_Result_DataReaderView () {};
            private:
                SendGcodeCmd_Result_DataReaderView (const SendGcodeCmd_Result_DataReaderView &);
                SendGcodeCmd_Result_DataReaderView & operator = (const SendGcodeCmd_Result_DataReaderView &);
            };
            class SendGcodeCmd_GetResult_Request_TypeSupportInterface;

            typedef SendGcodeCmd_GetResult_Request_TypeSupportInterface * SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_GetResult_Request_TypeSupportInterface> SendGcodeCmd_GetResult_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_GetResult_Request_TypeSupportInterface> SendGcodeCmd_GetResult_Request_TypeSupportInterface_out;


            class SendGcodeCmd_GetResult_Request_DataWriter;

            typedef SendGcodeCmd_GetResult_Request_DataWriter * SendGcodeCmd_GetResult_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_GetResult_Request_DataWriter> SendGcodeCmd_GetResult_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_GetResult_Request_DataWriter> SendGcodeCmd_GetResult_Request_DataWriter_out;


            class SendGcodeCmd_GetResult_Request_DataReader;

            typedef SendGcodeCmd_GetResult_Request_DataReader * SendGcodeCmd_GetResult_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_GetResult_Request_DataReader> SendGcodeCmd_GetResult_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_GetResult_Request_DataReader> SendGcodeCmd_GetResult_Request_DataReader_out;


            class SendGcodeCmd_GetResult_Request_DataReaderView;

            typedef SendGcodeCmd_GetResult_Request_DataReaderView * SendGcodeCmd_GetResult_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_GetResult_Request_DataReaderView> SendGcodeCmd_GetResult_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_GetResult_Request_DataReaderView> SendGcodeCmd_GetResult_Request_DataReaderView_out;

            struct SendGcodeCmd_GetResult_Request_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < SendGcodeCmd_GetResult_Request_, struct SendGcodeCmd_GetResult_Request_Seq_uniq_> SendGcodeCmd_GetResult_Request_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeCmd_GetResult_Request_Seq> SendGcodeCmd_GetResult_Request_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeCmd_GetResult_Request_Seq> SendGcodeCmd_GetResult_Request_Seq_out;

            class  SendGcodeCmd_GetResult_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeCmd_GetResult_Request_TypeSupportInterface_var _var_type;

                static SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr _duplicate (SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeCmd_GetResult_Request_TypeSupportInterface () {};
                ~SendGcodeCmd_GetResult_Request_TypeSupportInterface () {};
            private:
                SendGcodeCmd_GetResult_Request_TypeSupportInterface (const SendGcodeCmd_GetResult_Request_TypeSupportInterface &);
                SendGcodeCmd_GetResult_Request_TypeSupportInterface & operator = (const SendGcodeCmd_GetResult_Request_TypeSupportInterface &);
            };

            class  SendGcodeCmd_GetResult_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeCmd_GetResult_Request_DataWriter_ptr _ptr_type;
                typedef SendGcodeCmd_GetResult_Request_DataWriter_var _var_type;

                static SendGcodeCmd_GetResult_Request_DataWriter_ptr _duplicate (SendGcodeCmd_GetResult_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_GetResult_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_GetResult_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeCmd_GetResult_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeCmd_GetResult_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_GetResult_Request_& instance_data) = 0;

            protected:
                SendGcodeCmd_GetResult_Request_DataWriter () {};
                ~SendGcodeCmd_GetResult_Request_DataWriter () {};
            private:
                SendGcodeCmd_GetResult_Request_DataWriter (const SendGcodeCmd_GetResult_Request_DataWriter &);
                SendGcodeCmd_GetResult_Request_DataWriter & operator = (const SendGcodeCmd_GetResult_Request_DataWriter &);
            };

            class  SendGcodeCmd_GetResult_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeCmd_GetResult_Request_DataReader_ptr _ptr_type;
                typedef SendGcodeCmd_GetResult_Request_DataReader_var _var_type;

                static SendGcodeCmd_GetResult_Request_DataReader_ptr _duplicate (SendGcodeCmd_GetResult_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_GetResult_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_GetResult_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_GetResult_Request_& instance) = 0;

            protected:
                SendGcodeCmd_GetResult_Request_DataReader () {};
                ~SendGcodeCmd_GetResult_Request_DataReader () {};
            private:
                SendGcodeCmd_GetResult_Request_DataReader (const SendGcodeCmd_GetResult_Request_DataReader &);
                SendGcodeCmd_GetResult_Request_DataReader & operator = (const SendGcodeCmd_GetResult_Request_DataReader &);
            };

            class  SendGcodeCmd_GetResult_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeCmd_GetResult_Request_DataReaderView_ptr _ptr_type;
                typedef SendGcodeCmd_GetResult_Request_DataReaderView_var _var_type;

                static SendGcodeCmd_GetResult_Request_DataReaderView_ptr _duplicate (SendGcodeCmd_GetResult_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_GetResult_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_GetResult_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_GetResult_Request_& instance) = 0;

            protected:
                SendGcodeCmd_GetResult_Request_DataReaderView () {};
                ~SendGcodeCmd_GetResult_Request_DataReaderView () {};
            private:
                SendGcodeCmd_GetResult_Request_DataReaderView (const SendGcodeCmd_GetResult_Request_DataReaderView &);
                SendGcodeCmd_GetResult_Request_DataReaderView & operator = (const SendGcodeCmd_GetResult_Request_DataReaderView &);
            };
            class SendGcodeCmd_GetResult_Response_TypeSupportInterface;

            typedef SendGcodeCmd_GetResult_Response_TypeSupportInterface * SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_GetResult_Response_TypeSupportInterface> SendGcodeCmd_GetResult_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_GetResult_Response_TypeSupportInterface> SendGcodeCmd_GetResult_Response_TypeSupportInterface_out;


            class SendGcodeCmd_GetResult_Response_DataWriter;

            typedef SendGcodeCmd_GetResult_Response_DataWriter * SendGcodeCmd_GetResult_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_GetResult_Response_DataWriter> SendGcodeCmd_GetResult_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_GetResult_Response_DataWriter> SendGcodeCmd_GetResult_Response_DataWriter_out;


            class SendGcodeCmd_GetResult_Response_DataReader;

            typedef SendGcodeCmd_GetResult_Response_DataReader * SendGcodeCmd_GetResult_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_GetResult_Response_DataReader> SendGcodeCmd_GetResult_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_GetResult_Response_DataReader> SendGcodeCmd_GetResult_Response_DataReader_out;


            class SendGcodeCmd_GetResult_Response_DataReaderView;

            typedef SendGcodeCmd_GetResult_Response_DataReaderView * SendGcodeCmd_GetResult_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_GetResult_Response_DataReaderView> SendGcodeCmd_GetResult_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_GetResult_Response_DataReaderView> SendGcodeCmd_GetResult_Response_DataReaderView_out;

            struct SendGcodeCmd_GetResult_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < SendGcodeCmd_GetResult_Response_, struct SendGcodeCmd_GetResult_Response_Seq_uniq_> SendGcodeCmd_GetResult_Response_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeCmd_GetResult_Response_Seq> SendGcodeCmd_GetResult_Response_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeCmd_GetResult_Response_Seq> SendGcodeCmd_GetResult_Response_Seq_out;

            class  SendGcodeCmd_GetResult_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeCmd_GetResult_Response_TypeSupportInterface_var _var_type;

                static SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr _duplicate (SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeCmd_GetResult_Response_TypeSupportInterface () {};
                ~SendGcodeCmd_GetResult_Response_TypeSupportInterface () {};
            private:
                SendGcodeCmd_GetResult_Response_TypeSupportInterface (const SendGcodeCmd_GetResult_Response_TypeSupportInterface &);
                SendGcodeCmd_GetResult_Response_TypeSupportInterface & operator = (const SendGcodeCmd_GetResult_Response_TypeSupportInterface &);
            };

            class  SendGcodeCmd_GetResult_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeCmd_GetResult_Response_DataWriter_ptr _ptr_type;
                typedef SendGcodeCmd_GetResult_Response_DataWriter_var _var_type;

                static SendGcodeCmd_GetResult_Response_DataWriter_ptr _duplicate (SendGcodeCmd_GetResult_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_GetResult_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_GetResult_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeCmd_GetResult_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeCmd_GetResult_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_GetResult_Response_& instance_data) = 0;

            protected:
                SendGcodeCmd_GetResult_Response_DataWriter () {};
                ~SendGcodeCmd_GetResult_Response_DataWriter () {};
            private:
                SendGcodeCmd_GetResult_Response_DataWriter (const SendGcodeCmd_GetResult_Response_DataWriter &);
                SendGcodeCmd_GetResult_Response_DataWriter & operator = (const SendGcodeCmd_GetResult_Response_DataWriter &);
            };

            class  SendGcodeCmd_GetResult_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeCmd_GetResult_Response_DataReader_ptr _ptr_type;
                typedef SendGcodeCmd_GetResult_Response_DataReader_var _var_type;

                static SendGcodeCmd_GetResult_Response_DataReader_ptr _duplicate (SendGcodeCmd_GetResult_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_GetResult_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_GetResult_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_GetResult_Response_& instance) = 0;

            protected:
                SendGcodeCmd_GetResult_Response_DataReader () {};
                ~SendGcodeCmd_GetResult_Response_DataReader () {};
            private:
                SendGcodeCmd_GetResult_Response_DataReader (const SendGcodeCmd_GetResult_Response_DataReader &);
                SendGcodeCmd_GetResult_Response_DataReader & operator = (const SendGcodeCmd_GetResult_Response_DataReader &);
            };

            class  SendGcodeCmd_GetResult_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeCmd_GetResult_Response_DataReaderView_ptr _ptr_type;
                typedef SendGcodeCmd_GetResult_Response_DataReaderView_var _var_type;

                static SendGcodeCmd_GetResult_Response_DataReaderView_ptr _duplicate (SendGcodeCmd_GetResult_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_GetResult_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_GetResult_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_GetResult_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_GetResult_Response_& instance) = 0;

            protected:
                SendGcodeCmd_GetResult_Response_DataReaderView () {};
                ~SendGcodeCmd_GetResult_Response_DataReaderView () {};
            private:
                SendGcodeCmd_GetResult_Response_DataReaderView (const SendGcodeCmd_GetResult_Response_DataReaderView &);
                SendGcodeCmd_GetResult_Response_DataReaderView & operator = (const SendGcodeCmd_GetResult_Response_DataReaderView &);
            };
            class Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface;

            typedef Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface * Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface> Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface> Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface_out;


            class Sample_SendGcodeCmd_GetResult_Request_DataWriter;

            typedef Sample_SendGcodeCmd_GetResult_Request_DataWriter * Sample_SendGcodeCmd_GetResult_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_GetResult_Request_DataWriter> Sample_SendGcodeCmd_GetResult_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_GetResult_Request_DataWriter> Sample_SendGcodeCmd_GetResult_Request_DataWriter_out;


            class Sample_SendGcodeCmd_GetResult_Request_DataReader;

            typedef Sample_SendGcodeCmd_GetResult_Request_DataReader * Sample_SendGcodeCmd_GetResult_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_GetResult_Request_DataReader> Sample_SendGcodeCmd_GetResult_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_GetResult_Request_DataReader> Sample_SendGcodeCmd_GetResult_Request_DataReader_out;


            class Sample_SendGcodeCmd_GetResult_Request_DataReaderView;

            typedef Sample_SendGcodeCmd_GetResult_Request_DataReaderView * Sample_SendGcodeCmd_GetResult_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_GetResult_Request_DataReaderView> Sample_SendGcodeCmd_GetResult_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_GetResult_Request_DataReaderView> Sample_SendGcodeCmd_GetResult_Request_DataReaderView_out;

            struct Sample_SendGcodeCmd_GetResult_Request_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_SendGcodeCmd_GetResult_Request_, struct Sample_SendGcodeCmd_GetResult_Request_Seq_uniq_> Sample_SendGcodeCmd_GetResult_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_SendGcodeCmd_GetResult_Request_Seq> Sample_SendGcodeCmd_GetResult_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_SendGcodeCmd_GetResult_Request_Seq> Sample_SendGcodeCmd_GetResult_Request_Seq_out;

            class  Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface_var _var_type;

                static Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr _duplicate (Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface () {};
                ~Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface () {};
            private:
                Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface (const Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface &);
                Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface & operator = (const Sample_SendGcodeCmd_GetResult_Request_TypeSupportInterface &);
            };

            class  Sample_SendGcodeCmd_GetResult_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_SendGcodeCmd_GetResult_Request_DataWriter_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_GetResult_Request_DataWriter_var _var_type;

                static Sample_SendGcodeCmd_GetResult_Request_DataWriter_ptr _duplicate (Sample_SendGcodeCmd_GetResult_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_GetResult_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_GetResult_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_SendGcodeCmd_GetResult_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_SendGcodeCmd_GetResult_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_SendGcodeCmd_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeCmd_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeCmd_GetResult_Request_& instance_data) = 0;

            protected:
                Sample_SendGcodeCmd_GetResult_Request_DataWriter () {};
                ~Sample_SendGcodeCmd_GetResult_Request_DataWriter () {};
            private:
                Sample_SendGcodeCmd_GetResult_Request_DataWriter (const Sample_SendGcodeCmd_GetResult_Request_DataWriter &);
                Sample_SendGcodeCmd_GetResult_Request_DataWriter & operator = (const Sample_SendGcodeCmd_GetResult_Request_DataWriter &);
            };

            class  Sample_SendGcodeCmd_GetResult_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_SendGcodeCmd_GetResult_Request_DataReader_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_GetResult_Request_DataReader_var _var_type;

                static Sample_SendGcodeCmd_GetResult_Request_DataReader_ptr _duplicate (Sample_SendGcodeCmd_GetResult_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_GetResult_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_GetResult_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeCmd_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeCmd_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeCmd_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeCmd_GetResult_Request_& instance) = 0;

            protected:
                Sample_SendGcodeCmd_GetResult_Request_DataReader () {};
                ~Sample_SendGcodeCmd_GetResult_Request_DataReader () {};
            private:
                Sample_SendGcodeCmd_GetResult_Request_DataReader (const Sample_SendGcodeCmd_GetResult_Request_DataReader &);
                Sample_SendGcodeCmd_GetResult_Request_DataReader & operator = (const Sample_SendGcodeCmd_GetResult_Request_DataReader &);
            };

            class  Sample_SendGcodeCmd_GetResult_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_SendGcodeCmd_GetResult_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_GetResult_Request_DataReaderView_var _var_type;

                static Sample_SendGcodeCmd_GetResult_Request_DataReaderView_ptr _duplicate (Sample_SendGcodeCmd_GetResult_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_GetResult_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_GetResult_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeCmd_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeCmd_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeCmd_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeCmd_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeCmd_GetResult_Request_& instance) = 0;

            protected:
                Sample_SendGcodeCmd_GetResult_Request_DataReaderView () {};
                ~Sample_SendGcodeCmd_GetResult_Request_DataReaderView () {};
            private:
                Sample_SendGcodeCmd_GetResult_Request_DataReaderView (const Sample_SendGcodeCmd_GetResult_Request_DataReaderView &);
                Sample_SendGcodeCmd_GetResult_Request_DataReaderView & operator = (const Sample_SendGcodeCmd_GetResult_Request_DataReaderView &);
            };
            class Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface;

            typedef Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface * Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface> Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface> Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface_out;


            class Sample_SendGcodeCmd_GetResult_Response_DataWriter;

            typedef Sample_SendGcodeCmd_GetResult_Response_DataWriter * Sample_SendGcodeCmd_GetResult_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_GetResult_Response_DataWriter> Sample_SendGcodeCmd_GetResult_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_GetResult_Response_DataWriter> Sample_SendGcodeCmd_GetResult_Response_DataWriter_out;


            class Sample_SendGcodeCmd_GetResult_Response_DataReader;

            typedef Sample_SendGcodeCmd_GetResult_Response_DataReader * Sample_SendGcodeCmd_GetResult_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_GetResult_Response_DataReader> Sample_SendGcodeCmd_GetResult_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_GetResult_Response_DataReader> Sample_SendGcodeCmd_GetResult_Response_DataReader_out;


            class Sample_SendGcodeCmd_GetResult_Response_DataReaderView;

            typedef Sample_SendGcodeCmd_GetResult_Response_DataReaderView * Sample_SendGcodeCmd_GetResult_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeCmd_GetResult_Response_DataReaderView> Sample_SendGcodeCmd_GetResult_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeCmd_GetResult_Response_DataReaderView> Sample_SendGcodeCmd_GetResult_Response_DataReaderView_out;

            struct Sample_SendGcodeCmd_GetResult_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_SendGcodeCmd_GetResult_Response_, struct Sample_SendGcodeCmd_GetResult_Response_Seq_uniq_> Sample_SendGcodeCmd_GetResult_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_SendGcodeCmd_GetResult_Response_Seq> Sample_SendGcodeCmd_GetResult_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_SendGcodeCmd_GetResult_Response_Seq> Sample_SendGcodeCmd_GetResult_Response_Seq_out;

            class  Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface_var _var_type;

                static Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr _duplicate (Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface () {};
                ~Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface () {};
            private:
                Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface (const Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface &);
                Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface & operator = (const Sample_SendGcodeCmd_GetResult_Response_TypeSupportInterface &);
            };

            class  Sample_SendGcodeCmd_GetResult_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_SendGcodeCmd_GetResult_Response_DataWriter_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_GetResult_Response_DataWriter_var _var_type;

                static Sample_SendGcodeCmd_GetResult_Response_DataWriter_ptr _duplicate (Sample_SendGcodeCmd_GetResult_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_GetResult_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_GetResult_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_SendGcodeCmd_GetResult_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_SendGcodeCmd_GetResult_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_SendGcodeCmd_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeCmd_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeCmd_GetResult_Response_& instance_data) = 0;

            protected:
                Sample_SendGcodeCmd_GetResult_Response_DataWriter () {};
                ~Sample_SendGcodeCmd_GetResult_Response_DataWriter () {};
            private:
                Sample_SendGcodeCmd_GetResult_Response_DataWriter (const Sample_SendGcodeCmd_GetResult_Response_DataWriter &);
                Sample_SendGcodeCmd_GetResult_Response_DataWriter & operator = (const Sample_SendGcodeCmd_GetResult_Response_DataWriter &);
            };

            class  Sample_SendGcodeCmd_GetResult_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_SendGcodeCmd_GetResult_Response_DataReader_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_GetResult_Response_DataReader_var _var_type;

                static Sample_SendGcodeCmd_GetResult_Response_DataReader_ptr _duplicate (Sample_SendGcodeCmd_GetResult_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_GetResult_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_GetResult_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeCmd_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeCmd_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeCmd_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeCmd_GetResult_Response_& instance) = 0;

            protected:
                Sample_SendGcodeCmd_GetResult_Response_DataReader () {};
                ~Sample_SendGcodeCmd_GetResult_Response_DataReader () {};
            private:
                Sample_SendGcodeCmd_GetResult_Response_DataReader (const Sample_SendGcodeCmd_GetResult_Response_DataReader &);
                Sample_SendGcodeCmd_GetResult_Response_DataReader & operator = (const Sample_SendGcodeCmd_GetResult_Response_DataReader &);
            };

            class  Sample_SendGcodeCmd_GetResult_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_SendGcodeCmd_GetResult_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_SendGcodeCmd_GetResult_Response_DataReaderView_var _var_type;

                static Sample_SendGcodeCmd_GetResult_Response_DataReaderView_ptr _duplicate (Sample_SendGcodeCmd_GetResult_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeCmd_GetResult_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeCmd_GetResult_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeCmd_GetResult_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeCmd_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeCmd_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeCmd_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeCmd_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeCmd_GetResult_Response_& instance) = 0;

            protected:
                Sample_SendGcodeCmd_GetResult_Response_DataReaderView () {};
                ~Sample_SendGcodeCmd_GetResult_Response_DataReaderView () {};
            private:
                Sample_SendGcodeCmd_GetResult_Response_DataReaderView (const Sample_SendGcodeCmd_GetResult_Response_DataReaderView &);
                Sample_SendGcodeCmd_GetResult_Response_DataReaderView & operator = (const Sample_SendGcodeCmd_GetResult_Response_DataReaderView &);
            };
            class SendGcodeCmd_Feedback_TypeSupportInterface;

            typedef SendGcodeCmd_Feedback_TypeSupportInterface * SendGcodeCmd_Feedback_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_Feedback_TypeSupportInterface> SendGcodeCmd_Feedback_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_Feedback_TypeSupportInterface> SendGcodeCmd_Feedback_TypeSupportInterface_out;


            class SendGcodeCmd_Feedback_DataWriter;

            typedef SendGcodeCmd_Feedback_DataWriter * SendGcodeCmd_Feedback_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_Feedback_DataWriter> SendGcodeCmd_Feedback_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_Feedback_DataWriter> SendGcodeCmd_Feedback_DataWriter_out;


            class SendGcodeCmd_Feedback_DataReader;

            typedef SendGcodeCmd_Feedback_DataReader * SendGcodeCmd_Feedback_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_Feedback_DataReader> SendGcodeCmd_Feedback_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_Feedback_DataReader> SendGcodeCmd_Feedback_DataReader_out;


            class SendGcodeCmd_Feedback_DataReaderView;

            typedef SendGcodeCmd_Feedback_DataReaderView * SendGcodeCmd_Feedback_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_Feedback_DataReaderView> SendGcodeCmd_Feedback_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_Feedback_DataReaderView> SendGcodeCmd_Feedback_DataReaderView_out;

            struct SendGcodeCmd_Feedback_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < SendGcodeCmd_Feedback_, struct SendGcodeCmd_Feedback_Seq_uniq_> SendGcodeCmd_Feedback_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeCmd_Feedback_Seq> SendGcodeCmd_Feedback_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeCmd_Feedback_Seq> SendGcodeCmd_Feedback_Seq_out;

            class  SendGcodeCmd_Feedback_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeCmd_Feedback_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeCmd_Feedback_TypeSupportInterface_var _var_type;

                static SendGcodeCmd_Feedback_TypeSupportInterface_ptr _duplicate (SendGcodeCmd_Feedback_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_Feedback_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Feedback_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Feedback_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_Feedback_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeCmd_Feedback_TypeSupportInterface () {};
                ~SendGcodeCmd_Feedback_TypeSupportInterface () {};
            private:
                SendGcodeCmd_Feedback_TypeSupportInterface (const SendGcodeCmd_Feedback_TypeSupportInterface &);
                SendGcodeCmd_Feedback_TypeSupportInterface & operator = (const SendGcodeCmd_Feedback_TypeSupportInterface &);
            };

            class  SendGcodeCmd_Feedback_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeCmd_Feedback_DataWriter_ptr _ptr_type;
                typedef SendGcodeCmd_Feedback_DataWriter_var _var_type;

                static SendGcodeCmd_Feedback_DataWriter_ptr _duplicate (SendGcodeCmd_Feedback_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_Feedback_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Feedback_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Feedback_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_Feedback_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeCmd_Feedback_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeCmd_Feedback_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeCmd_Feedback_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeCmd_Feedback_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeCmd_Feedback_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeCmd_Feedback_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeCmd_Feedback_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeCmd_Feedback_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeCmd_Feedback_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeCmd_Feedback_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_Feedback_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_Feedback_& instance_data) = 0;

            protected:
                SendGcodeCmd_Feedback_DataWriter () {};
                ~SendGcodeCmd_Feedback_DataWriter () {};
            private:
                SendGcodeCmd_Feedback_DataWriter (const SendGcodeCmd_Feedback_DataWriter &);
                SendGcodeCmd_Feedback_DataWriter & operator = (const SendGcodeCmd_Feedback_DataWriter &);
            };

            class  SendGcodeCmd_Feedback_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeCmd_Feedback_DataReader_ptr _ptr_type;
                typedef SendGcodeCmd_Feedback_DataReader_var _var_type;

                static SendGcodeCmd_Feedback_DataReader_ptr _duplicate (SendGcodeCmd_Feedback_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_Feedback_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Feedback_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Feedback_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_Feedback_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_Feedback_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_Feedback_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_Feedback_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_Feedback_& instance) = 0;

            protected:
                SendGcodeCmd_Feedback_DataReader () {};
                ~SendGcodeCmd_Feedback_DataReader () {};
            private:
                SendGcodeCmd_Feedback_DataReader (const SendGcodeCmd_Feedback_DataReader &);
                SendGcodeCmd_Feedback_DataReader & operator = (const SendGcodeCmd_Feedback_DataReader &);
            };

            class  SendGcodeCmd_Feedback_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeCmd_Feedback_DataReaderView_ptr _ptr_type;
                typedef SendGcodeCmd_Feedback_DataReaderView_var _var_type;

                static SendGcodeCmd_Feedback_DataReaderView_ptr _duplicate (SendGcodeCmd_Feedback_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_Feedback_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Feedback_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_Feedback_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_Feedback_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_Feedback_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_Feedback_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_Feedback_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_Feedback_& instance) = 0;

            protected:
                SendGcodeCmd_Feedback_DataReaderView () {};
                ~SendGcodeCmd_Feedback_DataReaderView () {};
            private:
                SendGcodeCmd_Feedback_DataReaderView (const SendGcodeCmd_Feedback_DataReaderView &);
                SendGcodeCmd_Feedback_DataReaderView & operator = (const SendGcodeCmd_Feedback_DataReaderView &);
            };
            class SendGcodeCmd_FeedbackMessage_TypeSupportInterface;

            typedef SendGcodeCmd_FeedbackMessage_TypeSupportInterface * SendGcodeCmd_FeedbackMessage_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_FeedbackMessage_TypeSupportInterface> SendGcodeCmd_FeedbackMessage_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_FeedbackMessage_TypeSupportInterface> SendGcodeCmd_FeedbackMessage_TypeSupportInterface_out;


            class SendGcodeCmd_FeedbackMessage_DataWriter;

            typedef SendGcodeCmd_FeedbackMessage_DataWriter * SendGcodeCmd_FeedbackMessage_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_FeedbackMessage_DataWriter> SendGcodeCmd_FeedbackMessage_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_FeedbackMessage_DataWriter> SendGcodeCmd_FeedbackMessage_DataWriter_out;


            class SendGcodeCmd_FeedbackMessage_DataReader;

            typedef SendGcodeCmd_FeedbackMessage_DataReader * SendGcodeCmd_FeedbackMessage_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_FeedbackMessage_DataReader> SendGcodeCmd_FeedbackMessage_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_FeedbackMessage_DataReader> SendGcodeCmd_FeedbackMessage_DataReader_out;


            class SendGcodeCmd_FeedbackMessage_DataReaderView;

            typedef SendGcodeCmd_FeedbackMessage_DataReaderView * SendGcodeCmd_FeedbackMessage_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeCmd_FeedbackMessage_DataReaderView> SendGcodeCmd_FeedbackMessage_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeCmd_FeedbackMessage_DataReaderView> SendGcodeCmd_FeedbackMessage_DataReaderView_out;

            struct SendGcodeCmd_FeedbackMessage_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < SendGcodeCmd_FeedbackMessage_, struct SendGcodeCmd_FeedbackMessage_Seq_uniq_> SendGcodeCmd_FeedbackMessage_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeCmd_FeedbackMessage_Seq> SendGcodeCmd_FeedbackMessage_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeCmd_FeedbackMessage_Seq> SendGcodeCmd_FeedbackMessage_Seq_out;

            class  SendGcodeCmd_FeedbackMessage_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeCmd_FeedbackMessage_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeCmd_FeedbackMessage_TypeSupportInterface_var _var_type;

                static SendGcodeCmd_FeedbackMessage_TypeSupportInterface_ptr _duplicate (SendGcodeCmd_FeedbackMessage_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_FeedbackMessage_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_FeedbackMessage_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_FeedbackMessage_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_FeedbackMessage_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeCmd_FeedbackMessage_TypeSupportInterface () {};
                ~SendGcodeCmd_FeedbackMessage_TypeSupportInterface () {};
            private:
                SendGcodeCmd_FeedbackMessage_TypeSupportInterface (const SendGcodeCmd_FeedbackMessage_TypeSupportInterface &);
                SendGcodeCmd_FeedbackMessage_TypeSupportInterface & operator = (const SendGcodeCmd_FeedbackMessage_TypeSupportInterface &);
            };

            class  SendGcodeCmd_FeedbackMessage_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeCmd_FeedbackMessage_DataWriter_ptr _ptr_type;
                typedef SendGcodeCmd_FeedbackMessage_DataWriter_var _var_type;

                static SendGcodeCmd_FeedbackMessage_DataWriter_ptr _duplicate (SendGcodeCmd_FeedbackMessage_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_FeedbackMessage_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_FeedbackMessage_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_FeedbackMessage_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_FeedbackMessage_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeCmd_FeedbackMessage_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeCmd_FeedbackMessage_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeCmd_FeedbackMessage_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeCmd_FeedbackMessage_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeCmd_FeedbackMessage_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeCmd_FeedbackMessage_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeCmd_FeedbackMessage_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeCmd_FeedbackMessage_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeCmd_FeedbackMessage_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeCmd_FeedbackMessage_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_FeedbackMessage_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_FeedbackMessage_& instance_data) = 0;

            protected:
                SendGcodeCmd_FeedbackMessage_DataWriter () {};
                ~SendGcodeCmd_FeedbackMessage_DataWriter () {};
            private:
                SendGcodeCmd_FeedbackMessage_DataWriter (const SendGcodeCmd_FeedbackMessage_DataWriter &);
                SendGcodeCmd_FeedbackMessage_DataWriter & operator = (const SendGcodeCmd_FeedbackMessage_DataWriter &);
            };

            class  SendGcodeCmd_FeedbackMessage_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeCmd_FeedbackMessage_DataReader_ptr _ptr_type;
                typedef SendGcodeCmd_FeedbackMessage_DataReader_var _var_type;

                static SendGcodeCmd_FeedbackMessage_DataReader_ptr _duplicate (SendGcodeCmd_FeedbackMessage_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_FeedbackMessage_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_FeedbackMessage_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_FeedbackMessage_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_FeedbackMessage_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_FeedbackMessage_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_FeedbackMessage_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_FeedbackMessage_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_FeedbackMessage_& instance) = 0;

            protected:
                SendGcodeCmd_FeedbackMessage_DataReader () {};
                ~SendGcodeCmd_FeedbackMessage_DataReader () {};
            private:
                SendGcodeCmd_FeedbackMessage_DataReader (const SendGcodeCmd_FeedbackMessage_DataReader &);
                SendGcodeCmd_FeedbackMessage_DataReader & operator = (const SendGcodeCmd_FeedbackMessage_DataReader &);
            };

            class  SendGcodeCmd_FeedbackMessage_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeCmd_FeedbackMessage_DataReaderView_ptr _ptr_type;
                typedef SendGcodeCmd_FeedbackMessage_DataReaderView_var _var_type;

                static SendGcodeCmd_FeedbackMessage_DataReaderView_ptr _duplicate (SendGcodeCmd_FeedbackMessage_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeCmd_FeedbackMessage_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_FeedbackMessage_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeCmd_FeedbackMessage_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeCmd_FeedbackMessage_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeCmd_FeedbackMessage_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeCmd_FeedbackMessage_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeCmd_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeCmd_FeedbackMessage_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeCmd_FeedbackMessage_& instance) = 0;

            protected:
                SendGcodeCmd_FeedbackMessage_DataReaderView () {};
                ~SendGcodeCmd_FeedbackMessage_DataReaderView () {};
            private:
                SendGcodeCmd_FeedbackMessage_DataReaderView (const SendGcodeCmd_FeedbackMessage_DataReaderView &);
                SendGcodeCmd_FeedbackMessage_DataReaderView & operator = (const SendGcodeCmd_FeedbackMessage_DataReaderView &);
            };
        }

    }

}

#endif
